#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kgeography
Summary: A geography learning program
Version: 4.12.5
Release: %mkrel %{rel}
Group: Education
License: GPLv2 and GFDL
URL: http://edu.kde.org/kgeography
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
#Branch patches 100->200

#Trunk patches 200->300

#Mageia patches 500->600

BuildRequires: kdelibs4-devel >= 2:%{version}

Suggests: kgeography-handbook

%description
KGeography is a geography learning program.

%files
%_kde_appsdir/kgeography
%_kde_bindir/kgeography
%_kde_iconsdir/*/*/apps/kgeography.*
%_kde_datadir/applications/kde4/kgeography.desktop
%_kde_datadir/config.kcfg/kgeography.kcfg

#------------------------------------------------------------------------------

%package handbook
Summary: Kgeography handbook
Conflicts: kgeography < 4.7.1
BuildArch: noarch
Group: Documentation
%description handbook
This package provides kgeography handbook.

%files handbook
%doc README COPYING COPYING.DOC AUTHORS
%doc %_kde_docdir/HTML/en/kgeography

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 4.12.5-1.mga4
+ Revision: 641303
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 554993
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551261
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540015
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490716
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476810
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 465282
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 458907
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455297
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447919
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435276
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428387
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407203
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401881
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394376
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 356162
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339439
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334531
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326735
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320292
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316176
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301947
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289743
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277103
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269682
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 265951
- New version - 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257232
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228420
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221480
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198237
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-0.mga2
+ Revision: 191046
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186066
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182112
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176441
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161340
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151959
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140650
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- fix license

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122429
- Update tarball KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 fwang <fwang> 4.6.90-1.mga2
+ Revision: 115736
- update url

  + mikala <mikala>
    - imported package kgeography

